Bug 617301 (CVE-2010-2540) - CVE-2010-2540 MapServer: Disable insecure mapserv CGI command-line debug args (Trac#3485)
Summary: CVE-2010-2540 MapServer: Disable insecure mapserv CGI command-line debug args...
Status: NEW
Alias: CVE-2010-2540
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100708,reported=20100721,sou...
Keywords: Security
Depends On: 617314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 18:17 UTC by Jan Lieskovsky
Modified: 2019-06-08 13:03 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-07-22 18:17:21 UTC
MapServer upstream during security audit of MapServer v5.6 identified that
some of the mapserv CGI command-line debug arguments constitute a security
risk that could potentially be exploited. These arguments should be used
only by developers that use those command-line arguments to debug and test
the software.

References:
  [1] http://trac.osgeo.org/mapserver/ticket/3485

Upstream patch (against 5-4 SVN branch):
  [2] http://trac.osgeo.org/mapserver/changeset/10314

Upstream patch (against trunk):
  [3] http://trac.osgeo.org/mapserver/changeset/10319

Comment 1 Jan Lieskovsky 2010-07-22 18:35:56 UTC
This issue affects the versions of the mapserver package, as shipped
with Fedora release of 12 and 13.

Please fix.

Comment 2 Jan Lieskovsky 2010-07-22 18:53:26 UTC
Created mapserver tracking bugs for this issue

Affects: fedora-all [bug 617314]


Note You need to log in before you can comment on or make changes to this bug.